# class BookmarkTokenizer | More...
Internal Use Only
Definition | `#include <booktoken.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- BookmarkTokenizer ()
- ~BookmarkTokenizer ()
- void begin ()
- void write ( const QString& )
- void end ()
- char* nextToken ()
- bool hasMoreTokens ()
- void first ()

#### Protected Methods

- void reset ()
- void appendToken ( const char *t, int len )

#### Protected Members

- char *buffer
- char *dest
- BMToken *head
- BMToken *tail
- BMToken *curr
- int size
- bool tag
- bool tquote
- bool space
- bool discardCR
- bool comment

## Detailed Description

BookmarkTokenizer () | ### BookmarkTokenizer

~BookmarkTokenizer () | ### ~BookmarkTokenizer

void begin () | ### begin

void write ( const QString& ) | ### write

void end () | ### end

char* nextToken () | ### nextToken

bool hasMoreTokens () | ### hasMoreTokens

void first () | ### first

void reset () | ### reset

[protected]

void appendToken ( const char *t, int len ) | ### appendToken

[protected]

char * buffer | ### buffer

[protected]

char * dest | ### dest

[protected]

BMToken * head | ### head

[protected]

BMToken * tail | ### tail

[protected]

BMToken * curr | ### curr

[protected]

int size | ### size

[protected]

bool tag | ### tag

[protected]

bool tquote | ### tquote

[protected]

bool space | ### space

[protected]

bool discardCR | ### discardCR

[protected]

bool comment | ### comment

[protected]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:42:26 2001, using kdoc 2.0a53.